Bug 456690 - Xorg-x11-drv-nouveau loops with GeForce 7600
Xorg-x11-drv-nouveau loops with GeForce 7600
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-25 12:04 EDT by Mehdi Bahri
Modified: 2008-08-28 11:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-28 11:44:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (901 bytes, text/plain)
2008-08-16 12:14 EDT, Cristian Ciupitu
no flags Details

  None (edit)
Description Mehdi Bahri 2008-07-25 12:04:22 EDT
The nouveau driver makes xorg loop when activated.

Packages versions :
* kernel-2.6.25.10-86.fc9.i686
* xorg-x11-server-Xorg-1.4.99.905-2.20080702.fc9.i386
* xorg-x11-drv-nouveau-0.0.10-2.20080408git0991281.fc9.i386

Steps to reproduce the bug :

On a computer with a GeForce 7600 (normal, GS and Go too) :

edit /etc/X11/xorg.conf and replace 'Driver "nvidia"' with 'Driver "nouveau"'
restart X

X will loop and you'll have to force rebooting, at the next boot it will use
nvidia driver.
Comment 1 Matěj Cepl 2008-07-26 18:39:21 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Mehdi Bahri 2008-08-06 15:36:32 EDT
Hello

I've started collecting the informations you asked for, it looped. So I finally tried uninstalling nvidia's proprietary drivers before using nouveau.

Now there's no problem anymore with the driver, seems like nvidia's driver conflicted with it even if it was not activated.

Thank you for your attention, I can give you my actual xorg logs and configuration if you need it.

Sincerly yours,

Mehdi Bahri
Comment 3 Cristian Ciupitu 2008-08-16 12:11:53 EDT
I'm having the same problem with a NVidia 7600GS card.
I'm using:
xorg-x11-server-Xorg-1.4.99.905-2.20080702.fc9.i386.rpm
xorg-x11-server-common-1.4.99.905-2.20080702.fc9.i386.rpm
xorg-x11-drv-nouveau-0.0.10-2.20080408git0991281.fc9.i386.rpm

The strange thing is that when the nvidia service (from the livna binary NVidia driver) generates "xorg.conf", everything works fine.
Comment 4 Cristian Ciupitu 2008-08-16 12:14:12 EDT
Created attachment 314434 [details]
xorg.conf

"xorg.conf" using the nouveau X11 driver, after replacing "nvidia" with "nouveau" in the "xorg.conf" file generated by /etc/init.d/nvidia
Comment 5 Matěj Cepl 2008-08-28 11:44:26 EDT
(In reply to comment #2)
> I've started collecting the informations you asked for, it looped. So I finally
> tried uninstalling nvidia's proprietary drivers before using nouveau.
> 
> Now there's no problem anymore with the driver, seems like nvidia's driver
> conflicted with it even if it was not activated.

Yes, nvidia drivers install a lot more stuff than just nvidia driver itself (inclduing their replacement of OpenGL library and some kernel modules). Therefore, if you want to be sure that you have computer clean of anything nvidia-specific, there is (quite demanding) procedure for doing that described at https://fedoraproject.org/wiki/Xorg/3rd_Party_Video_Drivers

Note You need to log in before you can comment on or make changes to this bug.